main {
  margin-top: 40px;
}

.contest {
  max-width: 700px;
  padding: 0 16px;
  margin: 0 auto;
}

.contest__title {
  display: flex;
  align-items: center;
  gap: 20px;
}

.contest__title_text {
  font-family: var(--second-family);
  font-weight: 400;
  font-size: 64px;
  color: var(--colors-gray-light-mode-700);
}

.contest__title_btn {
  border: 1px solid var(--component-colors-components-buttons-primary-button-primary-border);
  border-radius: 8px;
  padding: 10px 20px;
  width: fit-content;
  height: 44px;
  box-shadow: 0 1px 2px 0 rgba(16, 24, 40, 0.05);
  background: var(--component-colors-components-buttons-primary-button-primary-bg);
  display: flex;
  align-items: center;
  gap: 6px;
  margin-top: 12px;
}

.contest__title_btn_icon {
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: var(--font-family);
}

.contest__title_btn_text {
  font-family: var(--second-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
  color: var(--component-colors-components-buttons-primary-button-primary-fg);
}

.contest__colored {
  margin-top: 24px;
  display: flex;
  gap: 12px;
  border-radius: 8px;
  padding: 16px;
  width: 100%;
  background: var(--colors-background-bg-brand-primary);
}

.contest__colored_icon {
  flex-shrink: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 30px;
  height: 30px;
}

.contest__colored_text {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 16px;
  line-height: 150%;
  color: var(--colors-text-text-secondary-700);
}

.contest__colored_text p:last-child {
  margin-top: 5px;
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 16px;
  line-height: 150%;
  color: var(--colors-text-text-quarterary-500);
}

.contest_block {
  margin-top: 40px;
}

.contest_block_title {
  font-family: var(--second-family);
  font-weight: 400;
  font-size: 36px;
  color: var(--colors-gray-dark-mode-700);
  margin-bottom: 12px;
}

.contest_block_text {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
  color: var(--colors-gray-dark-mode-700);
}

.contest_block_text + .contest_block_text {
  margin-top: 10px;
}

.contest_block_padding_left,
.contest_block_padding_left {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
  color: var(--colors-gray-dark-mode-700);
  padding-left: 1.5rem;
}
.contest_block_padding_left_2x {
  padding-left: 3rem;
}

@media screen and (max-width: 768px) {
  .contest__title_text {
    font-size: 38px;
  }
  .contest__title {
    flex-direction: column;
    align-items: flex-start;
    gap: 0;
  }
  .contest__colored_text,
  .contest__colored_text p:last-child {
    font-size: 14px;
  }

  .contest_block_title {
    font-size: 28px;
  }
}
